JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
juce_ProcessContext.h File Reference

## Classes
struct | juce::dsp::ProcessSpec
| This structure is passed into a DSP algorithm's prepare() method, and contains information about various aspects of the context in which it can expect to be called. More...
struct | juce::dsp::ProcessorState
| This is a handy base class for the state of a processor (such as parameter values) which is typically shared among several processors. More...
struct | juce::dsp::ProcessContextReplacing< ContextSampleType >
| Contains context information that is passed into an algorithm's process method. More...
struct | juce::dsp::ProcessContextNonReplacing< ContextSampleType >
| Contains context information that is passed into an algorithm's process method. More...

## Namespaces
namespace | juce
namespace | juce::dsp

## Functions
constexpr bool | juce::dsp::operator== (const ProcessSpec &a, const ProcessSpec &b)
constexpr bool | juce::dsp::operator!= (const ProcessSpec &a, const ProcessSpec &b)